Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
PUTSNS OperationsSince 5.0.0SynchronousAuth Required
UpdateSNSDingTalkEndpoint
UpdateSNSDingTalkEndpoint
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource uuid.
Body Fields
updatesnsdingtalkendpointObjectRequiredupdatesnsdingtalkendpoint request body object.
urlStringOptional. The webhook url.
atAllBooleanOptional. @All people.
secretStringOptional. The secret key.
nameStringOptional. The resource name.
descriptionStringOptional. The detailed descrption of resource.
systemTagsListOptional. The system tag.
userTagsListOptional. The user tag.
Responses
Endpoint
PUT/zstack/v1/sns/application-endpoints/ding-talk/{uuid}/actions
/zstack/v1/sns/application-endpoints/ding-talk/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/sns/application-endpoints/ding-talk/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatesnsdingtalkendpoint":{"url":"<url>","atAll":true,"secret":"<secret>","name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "example", "uuid": "917fe66f76b241f0843dfbd6be685fc1", "description": "description example", "type": "Email", "state": "Enabled", "platformUuid": "4eb0ceebf95b452585ebeacd647d9f35", "createDate": "Dec 25, 2023 2:07:46 PM", "lastOpDate": "Dec 25, 2023 2:07:46 PM" } }Change History
This API has no change history records yet.
